# -*- coding: utf-8 -*-
"""
    demeter database
    name:device_set_timing.py
    author:rabin
"""
from .__load__ import *

class Device_set_timing(Model):
	__table__ = 'device_set_timing'
	__comment__ = '设备定时设置表'
	id = Fields(type='uuid', primaryKey=True, comment='设置ID', uuid='farm_id')
	farm_id = Fields(type='int', default='setting.farm', comment='园区ID', match='not')
	devices = Fields(type='text', comment='设备id')
	oper = Fields(type='smallint', comment='操作')
	zdate = Fields(type='int', comment='执行时间')
	status = Fields(type='smallint', default='0', comment='操作状态')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间')